Cannot build linux-lqx

I cannot build linux-lqx because of this error

pamac build linux-lqx                          1 ✘  1m 3s  
Preparing...
Cloning linux-lqx build files...
Generating linux-lqx information...
Checking linux-lqx dependencies...
Resolving dependencies...
Checking inter-conflicts...

To build (1):
  linux-lqx  5.17.5.lqx1-1    AUR


Edit build files : [e] 
Apply transaction ? [e/y/N] y


Building linux-lqx...
==> Making package: linux-lqx 5.17.5.lqx1-1 (gio 28 apr 2022, 11:00:20)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
  -> Found linux-5.17.tar.xz
  -> Found linux-5.17.tar.sign
  -> Found 5.17-9.tar.gz
==> Validating source files with sha512sums...
    linux-5.17.tar.xz ... Passed
    linux-5.17.tar.sign ... Skipped
    5.17-9.tar.gz ... Passed
==> Verifying source file signatures with gpg...
    linux-5.17.tar ... FAILED (unknown public key 38DBBDC86092693E)
==> ERROR: One or more PGP signatures could not be verified!
Error: Failed to build linux-lqx

The error should be this

    linux-5.17.tar ... FAILED (unknown public key 38DBBDC86092693E)

The same with yay -S linux-lqx

P.S.: I would like to try this kernel because is said it makes working my audio card.

Hi @lnoferin,

That error suggests there was a problem downloading the file. Which is nothing you, or the team has any control over.

And, indeed, there is one URL in the PKGBUILD that gives me an error as well (https://gitlab.com/sirlucjan/kernel-patches/raw/master/). So that could be it.

Either way, the only thing you can so is report the problem on the AUR project page.

1 Like

If you read the pinned comments in the aur

https://aur.archlinux.org/packages/linux-lqx

It tells you how to import the necessary keys

Edit

You may need to install headers as well

1 Like

Ok, I am sorry, I forgave to mention that I tried the command pinned in the aur so now I have this

pacman-key --keyserver hkps://keyserver.ubuntu.com --recv-keys 9AE4078033F8024D && pacman-key --lsign-key 9AE4078033F8024D
gpg: key 9AE4078033F8024D: "Steven Barrett <steven@liquorix.net>" not changed
gpg: Total number processed: 1
gpg:              unchanged: 1
  -> Locally signed 1 keys.
==> Updating trust database...
gpg: next trustdb check due at 2022-05-02

And the key giving me the error looks different: 38DBBDC86092693E and not 9AE4078033F8024D.

Sorry again.

Ok, I will try there.

Thanks!

After updating the keys, you’ll have to retry installing it, BTW.

2 Likes